Subject: Re: linux-next: build warning after merge of the akpm-current tree

From: Andrew Morton <[email-masked]>
Date: Wed, 9 Nov 2016 13:21:53 -0800

On Wed, 9 Nov 2016 15:18:24 +0800 Huang Shijie <[email-masked]> wrote:

> On Wed, Nov 09, 2016 at 03:10:06PM +1100, Stephen Rothwell wrote:
> Hi Stephen,
> > Hi Andrew,
> > 
> > After merging the akpm-current tree, today's linux-next build (powerpc
> > ppc64_defconfig) produced this warning:
> > 
> > mm/hugetlb.c:1166:21: warning: 'alloc_gigantic_page' defined but not used [-Wunused-function]
> >  static struct page *alloc_gigantic_page(int nid, unsigned int order)
> The warning should be fixed by the patch (or next version of this patch):
>   http://marc.info/?l=linux-mm&m=147867535926059&w=2	

I'll drop "mm/hugetlb.c: rename some allocation functions" for now. 
Please change it to fix this warning then add it to the surplus-page
series when resending that.